---
title: API landing page template
slug: MDN/Structures/Page_types/API_landing_page_template
tags:
  - API
  - Landing
  - Template
---
<div>{{MDNSidebar}}</div>

<div class="note">
<h2 id="Remove_before_publishing">Remove before publishing</h2>

<h3 id="Title_and_slug">Title and slug</h3>

<p>An API landing page should have a <em>Title</em> of <em>Name of the API</em> + "API". For example, <a href="/en-US/docs/Web/API/WebVR_API">WebVR</a> has a title of <em>WebVR API</em>, <a href="/en-US/docs/Web/API/Fetch_API">Fetch</a> has a title of <em>Fetch API</em>.</p>

<p>The <em>Slug</em> (the last segment at the end of the URL) should be filled in as <em>Name of the API</em> + "_API". For example, <a href="/en-US/docs/Web/API/WebVR_API">WebVR</a>'s slug is <em>WebVR API</em>. This is usually filled in for you automatically.</p>

<h3 id="Top_macros">Top macros</h3>

<p>There are three macro calls at the top of the template by default. You should update or delete them according to the advice below:</p>

<ul>
	<li>\{{draft}} — this generates a <strong>Draft</strong> banner that indicates that the page is not yet complete, and should only be removed when the first draft of the page is completely finished. After it is ready to be published, you can remove this.</li>
	<li>\{{securecontext_header}} — this generates a <strong>Secure context</strong> banner that indicates the technology is only available in a <a href="/en-US/docs/Web/Security/Secure_Contexts">secure context</a>. If it isn't, then you can remove the macro call. If it is, then you should also fill in an entry for it in the <a href="/en-US/docs/Web/Security/Secure_Contexts/features_restricted_to_secure_contexts">Features restricted to secure contexts</a> page.</li>
	<li>
	<div>\{{APIRef("<em>GroupDataName</em>")}} — this generates the left hand reference sidebar showing quick reference links related to the current page. For example, every page in the <a href="/en-US/docs/Web/API/WebVR_API">WebVR API</a> has the same sidebar, which points to the other pages in the API. To generate the correct sidebar for your API, you need to add a GroupData entry to our KumaScript GitHub repo, and include the entry's name inside the macro call in place of <em>GroupDataName</em>. See our <a href="/en-US/docs/MDN/Contribute/Structures/API_references/API_reference_sidebars">API reference sidebars</a> guide for information on how to do this.</div>
	</li>
</ul>

<h3 id="Tags">Tags</h3>

<p>In an API landing page, you need to include the following tags (see the <em>Tags</em> section at the bottom of the editor UI): <strong>API</strong>, <strong>Reference</strong>, <strong>Landing</strong>, <em>the name of the API</em> (e.g. <strong>WebVR</strong>), <strong>Experimental</strong> (if the technology is <a href="/en-US/docs/MDN/Contribute/Guidelines/Conventions_definitions#Experimental">experimental</a>), <strong>Secure context</strong> (if it is available in a secure context only).</p>

<p>Optionally, you can elect to include some other tags that effective represent terms people might search for when looking for information on that technology. For example on the WebVR page we include <strong>VR</strong> and <strong>Virtual reality</strong>.</p>

<h3 id="Browser_compatibility">Browser compatibility</h3>

<p>To fill in the browser compat data, you first need to fill in an entry for the API into our <a href="https://github.com/mdn/browser-compat-data">Browser compat data repo</a> — see our <a href="/en-US/docs/MDN/Contribute/Structures/Compatibility_tables#The_new_way_The_browser_compat_data_repo_and_dynamic_tables">guide on how to do this</a>.</p>

<p>Once that is done, you can show the compat data for the API with a \{{Compat}} macro call.</p>
</div>

<div>{{draft}}{{securecontext_header}}{{APIRef("GroupDataName")}}</div>

<p class="summary">The summary paragraph — start by naming the API, and saying what it is used for. This should ideally be 1 or 2 short sentences.</p>

<h2 id="Concepts_and_usage">Concepts and usage</h2>

<p>In this section, describe the API's purpose and usage cases in a bit more detail — why was a need recognized for it? What problems does it solve? What concepts does it involve? How do you use it, from a high level perspective?</p>

<p>Don't go into a lot of detail in this section, and don't include code examples. If there are a lot of concepts to explain to explain around this API, you should explain them in a separate "Concepts..." article (e.g. <a href="/en-US/docs/Web/API/WebVR_API/Concepts">WebVR concepts</a>). For a practical usage guide with code examples, you should include a "Usage..." article in your API docs (e.g. <a href="/en-US/docs/Web/API/WebVR_API/Using_the_WebVR_API">Using the WebVR API</a>).</p>

<p>To help improve content discoverability and {{Glossary("SEO")}}, keep the following tips in mind:</p>

<h2 id="Name_of_API_interfaces"><em>Name of API</em> interfaces</h2>

<dl>
	<dt>{{domxref("NameOfTheInterface")}}</dt>
	<dd>Include a brief description of the interface and what it does here. Include one term and definition for each interface or dictionary.</dd>
</dl>

<h3 id="Name_of_API_mixins"><em>Name of API</em> mixins</h3>

<dl>
	<dt>{{domxref("NameOfTheInterface")}}</dt>
	<dd>Include a brief description of the mixin and what it does here. Include one term and definition for each mixin. If there are no mixins in this API, delete this section.</dd>
</dl>

<h3 id="Extensions_to_other_interfaces">Extensions to other interfaces</h3>

<p>The <em>name of interface</em> extends the following APIs, adding the listed features.</p>

<h4 id="Interface_1">Interface #1</h4>

<dl>
	<dt>{{domxref("addition1")}}</dt>
	<dd><dfn>Description of the feature of Interface#1 that is added to that API by the API you are currently documenting. One </dfn>term and definition for each feature. If this API doesn't extend any other interfaces, you can delete these sections.</dd>
</dl>

<h4 id="Interface_2">Interface #2</h4>

<dl>
	<dt>{{domxref("addition1")}}</dt>
	<dd><dfn>Description of the feature of Interface#2 that is added to that API by the API you are currently documenting, etc.</dfn></dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>Fill in a simple example that nicely shows a typical usage of the API, then perhaps some more complex examples (see our guide on how to add <a href="/en-US/docs/MDN/Contribute/Structures/Code_examples">code examples</a> for more information).</p>

<p>This text should be replaced with a brief description of what the example demonstrates.</p>

<pre class="brush: js notranslate">my code block</pre>

<p>If you've included an example directly in the page as shown above, and that example is longer than 4-5 lines or so, consider following the example with a step-by-step explanation of what it's doing, so that new programmers can learn more easily, and to help smooth the learning curve for complicated subjects.</p>

<p>And/or include a list of links to useful code samples that live elsewhere:</p>

<ul>
	<li>x</li>
	<li>y</li>
	<li>z</li>
</ul>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<thead>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>{{SpecName("NameOfOtherSpecificationfromSpecName")}}</td>
			<td>{{Spec2("NameOfOtherSpecificationFromSpec2")}}</td>
			<td>Defines blah blah feature. If no other specs define extensions of this API, you can delete this table row.</td>
		</tr>
		<tr>
			<td>{{SpecName('NameOfSpecificationFromSpecName')}}</td>
			<td>{{Spec2('NameOfSpecificationFromSpec2')}}</td>
			<td>Initial definition.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility_2">Browser compatibility</h2>

<div class="hidden">
<p>The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>
</div>

<p>{{Compat("path.to.feature.NameOfAPI")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li>Include list of</li>
	<li>other links related to</li>
	<li>this API that might</li>
	<li>be useful</li>
</ul>
